Bug 509086 - noarch documentation subpackage
noarch documentation subpackage
Product: Fedora
Classification: Fedora
Component: dbus-cxx (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Rick L Vinyard Jr
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2009-07-01 05:23 EDT by Yanko Kaneti
Modified: 2009-10-15 18:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-15 18:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2009-07-01 05:23:44 EDT
The dbus-cxx-doc docs subpackage is rather large and not changing between arches or rebuilds. It would be nice if it becomes noarch. Mirrors would benefit when it comes to big norach packages.

Its trivially done by adding BuildArch: noarch   to the %package          doc
Comment 1 Yanko Kaneti 2009-07-08 04:17:37 EDT
Ping? It's been a week and another per arch doc update just hit the mirrors.
Comment 2 Rick L Vinyard Jr 2009-07-08 10:56:39 EDT
I know it will benefit mirrors, but at this point I don't want to maintain separate specs for EL-4/5 and F-10+.

If you would like to take over the package and maintain separate specs you're welcome to.

I have several other packages that have large docs, primarily because of their devhelp docs (conexus, papyrus, bit). Those are open for taking as well.

I'm going to close the bug as a "won't fix", but feel free to reopen it (or let me know if I need to reopen it) if you'd like to take over, so that it can be closed with the new resolution.
Comment 3 Rick L Vinyard Jr 2009-07-08 11:08:22 EDT
I'll reopen this because Michael Schwendt posted a solution that allows one spec to be used:

%if 0%{?fedora} > 9
BuildArch: noarch
Comment 4 Rick L Vinyard Jr 2009-07-08 11:09:14 EDT
Also, there will probably be a new release of dbus-cxx out in the next couple of weeks, so I'll add the support at that time.
Comment 5 Yanko Kaneti 2009-07-08 11:16:42 EDT
Comment 6 Fedora Update System 2009-09-30 14:41:03 EDT
dbus-cxx-0.5.0-1.fc11 has been submitted as an update for Fedora 11.
Comment 7 Fedora Update System 2009-10-03 15:07:09 EDT
dbus-cxx-0.5.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dbus-cxx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10204
Comment 8 Fedora Update System 2009-10-15 18:33:46 EDT
dbus-cxx-0.5.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.